from concurrent.futures import ThreadPoolExecutor
from tasks.check_corpora import check_corpora
from tasks.check_jobs import check_jobs
from tasks.notify import notify
import os


# TODO: Check if thread is still alive and execute next thread after that
# TODO: Check line length


def nopaqued():
    execute_notifications = os.environ.get('NOPAQUE_EXECUTE_NOTIFICATIONS')
    # executing background functions
    while True:
        with ThreadPoolExecutor(max_workers=3) as executor:
            executor.submit(check_jobs)
            executor.submit(check_corpora)
            executor.submit(notify, execute_notifications)
            # If execute_notifications True mails are sent.
            # If execute_notifications False no mails are sent.
            # But notification status will be set nonetheless.


if __name__ == '__main__':
    nopaqued()
